{
  "system_info": {
    "cpu": {
      "cpu_count": 8,
      "cpu_count_physical": 8,
      "cpu_freq_mhz": 1800.0,
      "cpu_percent": 2.0,
      "cpu_implementer": "0x41",
      "cpu_arch": "8",
      "cpu_model": "aarch64",
      "architecture": "aarch64"
    },
    "memory": {
      "total_mb": 5768,
      "available_mb": 2962,
      "percent_used": 48.6,
      "used_mb": 2805,
      "free_mb": 258
    },
    "system": {
      "hostname": "0f806e261978",
      "platform": "Linux-6.1.83-aarch64-with-glibc2.35",
      "system": "Linux",
      "release": "6.1.83",
      "version": "#4 SMP PREEMPT Fri Dec 19 10:54:38 CST 2025",
      "python_version": "3.10.12",
      "timestamp": "2026-03-20 11:59:37"
    }
  },
  "benchmark_config": {
    "workloads": [
      "cjpeg-rose7-preset",
      "core",
      "linear_alg-mid-100x100-sp",
      "loops-all-mid-10k-sp",
      "nnet_test",
      "parser-125k",
      "radix2-big-64k",
      "sha-test",
      "zip-test"
    ],
    "thread_counts": [
      1,
      2,
      3,
      4,
      5,
      6,
      7,
      8
    ],
    "max_threads": 8
  },
  "results": [
    {
      "workload": "cjpeg-rose7-preset",
      "thread_num": 1,
      "iter_per_sec": 59.8802,
      "returncode": 0,
      "elapsed_time_sec": 0.1709287166595459,
      "raw_output": null
    },
    {
      "workload": "core",
      "thread_num": 1,
      "iter_per_sec": 0.457038,
      "returncode": 0,
      "elapsed_time_sec": 2.191352128982544,
      "raw_output": null
    },
    {
      "workload": "linear_alg-mid-100x100-sp",
      "thread_num": 1,
      "iter_per_sec": 24.7402,
      "returncode": 0,
      "elapsed_time_sec": 2.027066707611084,
      "raw_output": null
    },
    {
      "workload": "loops-all-mid-10k-sp",
      "thread_num": 1,
      "iter_per_sec": 1.20875,
      "returncode": 0,
      "elapsed_time_sec": 41.36767315864563,
      "raw_output": null
    },
    {
      "workload": "nnet_test",
      "thread_num": 1,
      "iter_per_sec": 1.71615,
      "returncode": 0,
      "elapsed_time_sec": 5.830807209014893,
      "raw_output": null
    },
    {
      "workload": "parser-125k",
      "thread_num": 1,
      "iter_per_sec": 10.8696,
      "returncode": 0,
      "elapsed_time_sec": 0.15040898323059082,
      "raw_output": null
    },
    {
      "workload": "radix2-big-64k",
      "thread_num": 1,
      "iter_per_sec": 99.4827,
      "returncode": 0,
      "elapsed_time_sec": 10.061779260635376,
      "raw_output": null
    },
    {
      "workload": "sha-test",
      "thread_num": 1,
      "iter_per_sec": 106.383,
      "returncode": 0,
      "elapsed_time_sec": 0.10429215431213379,
      "raw_output": null
    },
    {
      "workload": "zip-test",
      "thread_num": 1,
      "iter_per_sec": 34.4828,
      "returncode": 0,
      "elapsed_time_sec": 3.7011659145355225,
      "raw_output": null
    },
    {
      "workload": "cjpeg-rose7-preset",
      "thread_num": 2,
      "iter_per_sec": 120.482,
      "returncode": 0,
      "elapsed_time_sec": 0.08684968948364258,
      "raw_output": null
    },
    {
      "workload": "core",
      "thread_num": 2,
      "iter_per_sec": 0.913659,
      "returncode": 0,
      "elapsed_time_sec": 2.1916873455047607,
      "raw_output": null
    },
    {
      "workload": "linear_alg-mid-100x100-sp",
      "thread_num": 2,
      "iter_per_sec": 49.554,
      "returncode": 0,
      "elapsed_time_sec": 1.0147795677185059,
      "raw_output": null
    },
    {
      "workload": "loops-all-mid-10k-sp",
      "thread_num": 2,
      "iter_per_sec": 2.43013,
      "returncode": 0,
      "elapsed_time_sec": 20.578801155090332,
      "raw_output": null
    },
    {
      "workload": "nnet_test",
      "thread_num": 2,
      "iter_per_sec": 3.43171,
      "returncode": 0,
      "elapsed_time_sec": 2.916877031326294,
      "raw_output": null
    },
    {
      "workload": "parser-125k",
      "thread_num": 2,
      "iter_per_sec": 21.2766,
      "returncode": 0,
      "elapsed_time_sec": 0.15271854400634766,
      "raw_output": null
    },
    {
      "workload": "radix2-big-64k",
      "thread_num": 2,
      "iter_per_sec": 179.083,
      "returncode": 0,
      "elapsed_time_sec": 5.594027280807495,
      "raw_output": null
    },
    {
      "workload": "sha-test",
      "thread_num": 2,
      "iter_per_sec": 212.766,
      "returncode": 0,
      "elapsed_time_sec": 0.057444095611572266,
      "raw_output": null
    },
    {
      "workload": "zip-test",
      "thread_num": 2,
      "iter_per_sec": 66.6667,
      "returncode": 0,
      "elapsed_time_sec": 3.864583969116211,
      "raw_output": null
    },
    {
      "workload": "cjpeg-rose7-preset",
      "thread_num": 3,
      "iter_per_sec": 175.439,
      "returncode": 0,
      "elapsed_time_sec": 0.06096076965332031,
      "raw_output": null
    },
    {
      "workload": "core",
      "thread_num": 3,
      "iter_per_sec": 1.37112,
      "returncode": 0,
      "elapsed_time_sec": 2.191770315170288,
      "raw_output": null
    },
    {
      "workload": "linear_alg-mid-100x100-sp",
      "thread_num": 3,
      "iter_per_sec": 72.7802,
      "returncode": 0,
      "elapsed_time_sec": 0.6921648979187012,
      "raw_output": null
    },
    {
      "workload": "loops-all-mid-10k-sp",
      "thread_num": 3,
      "iter_per_sec": 3.51519,
      "returncode": 0,
      "elapsed_time_sec": 14.228093385696411,
      "raw_output": null
    },
    {
      "workload": "nnet_test",
      "thread_num": 3,
      "iter_per_sec": 4.29,
      "returncode": 0,
      "elapsed_time_sec": 2.3344318866729736,
      "raw_output": null
    },
    {
      "workload": "parser-125k",
      "thread_num": 3,
      "iter_per_sec": 28.3019,
      "returncode": 0,
      "elapsed_time_sec": 0.16345930099487305,
      "raw_output": null
    },
    {
      "workload": "radix2-big-64k",
      "thread_num": 3,
      "iter_per_sec": 177.936,
      "returncode": 0,
      "elapsed_time_sec": 5.634125471115112,
      "raw_output": null
    },
    {
      "workload": "sha-test",
      "thread_num": 3,
      "iter_per_sec": 270.27,
      "returncode": 0,
      "elapsed_time_sec": 0.048152923583984375,
      "raw_output": null
    },
    {
      "workload": "zip-test",
      "thread_num": 3,
      "iter_per_sec": 100.0,
      "returncode": 0,
      "elapsed_time_sec": 3.8439626693725586,
      "raw_output": null
    },
    {
      "workload": "cjpeg-rose7-preset",
      "thread_num": 4,
      "iter_per_sec": 232.558,
      "returncode": 0,
      "elapsed_time_sec": 0.04668903350830078,
      "raw_output": null
    },
    {
      "workload": "core",
      "thread_num": 4,
      "iter_per_sec": 1.81736,
      "returncode": 0,
      "elapsed_time_sec": 2.2041430473327637,
      "raw_output": null
    },
    {
      "workload": "linear_alg-mid-100x100-sp",
      "thread_num": 4,
      "iter_per_sec": 95.057,
      "returncode": 0,
      "elapsed_time_sec": 0.5304605960845947,
      "raw_output": null
    },
    {
      "workload": "loops-all-mid-10k-sp",
      "thread_num": 4,
      "iter_per_sec": 4.49035,
      "returncode": 0,
      "elapsed_time_sec": 11.139124155044556,
      "raw_output": null
    },
    {
      "workload": "nnet_test",
      "thread_num": 4,
      "iter_per_sec": 5.71429,
      "returncode": 0,
      "elapsed_time_sec": 1.7527673244476318,
      "raw_output": null
    },
    {
      "workload": "parser-125k",
      "thread_num": 4,
      "iter_per_sec": 30.303,
      "returncode": 0,
      "elapsed_time_sec": 0.19083714485168457,
      "raw_output": null
    },
    {
      "workload": "radix2-big-64k",
      "thread_num": 4,
      "iter_per_sec": 206.954,
      "returncode": 0,
      "elapsed_time_sec": 4.84836220741272,
      "raw_output": null
    },
    {
      "workload": "sha-test",
      "thread_num": 4,
      "iter_per_sec": 357.143,
      "returncode": 0,
      "elapsed_time_sec": 0.03871965408325195,
      "raw_output": null
    },
    {
      "workload": "zip-test",
      "thread_num": 4,
      "iter_per_sec": 129.032,
      "returncode": 0,
      "elapsed_time_sec": 3.823582410812378,
      "raw_output": null
    },
    {
      "workload": "cjpeg-rose7-preset",
      "thread_num": 5,
      "iter_per_sec": 294.118,
      "returncode": 0,
      "elapsed_time_sec": 0.03779315948486328,
      "raw_output": null
    },
    {
      "workload": "core",
      "thread_num": 5,
      "iter_per_sec": 2.28311,
      "returncode": 0,
      "elapsed_time_sec": 2.194005012512207,
      "raw_output": null
    },
    {
      "workload": "linear_alg-mid-100x100-sp",
      "thread_num": 5,
      "iter_per_sec": 123.762,
      "returncode": 0,
      "elapsed_time_sec": 0.4098236560821533,
      "raw_output": null
    },
    {
      "workload": "loops-all-mid-10k-sp",
      "thread_num": 5,
      "iter_per_sec": 5.65803,
      "returncode": 0,
      "elapsed_time_sec": 8.841012477874756,
      "raw_output": null
    },
    {
      "workload": "nnet_test",
      "thread_num": 5,
      "iter_per_sec": 8.56164,
      "returncode": 0,
      "elapsed_time_sec": 1.1719512939453125,
      "raw_output": null
    },
    {
      "workload": "parser-125k",
      "thread_num": 5,
      "iter_per_sec": 34.0136,
      "returncode": 0,
      "elapsed_time_sec": 0.20575261116027832,
      "raw_output": null
    },
    {
      "workload": "radix2-big-64k",
      "thread_num": 5,
      "iter_per_sec": 218.436,
      "returncode": 0,
      "elapsed_time_sec": 4.595886468887329,
      "raw_output": null
    },
    {
      "workload": "sha-test",
      "thread_num": 5,
      "iter_per_sec": 526.316,
      "returncode": 0,
      "elapsed_time_sec": 0.029636859893798828,
      "raw_output": null
    },
    {
      "workload": "zip-test",
      "thread_num": 5,
      "iter_per_sec": 147.059,
      "returncode": 0,
      "elapsed_time_sec": 3.8295886516571045,
      "raw_output": null
    },
    {
      "workload": "cjpeg-rose7-preset",
      "thread_num": 6,
      "iter_per_sec": 312.5,
      "returncode": 0,
      "elapsed_time_sec": 0.035584449768066406,
      "raw_output": null
    },
    {
      "workload": "core",
      "thread_num": 6,
      "iter_per_sec": 2.72975,
      "returncode": 0,
      "elapsed_time_sec": 2.201174020767212,
      "raw_output": null
    },
    {
      "workload": "linear_alg-mid-100x100-sp",
      "thread_num": 6,
      "iter_per_sec": 137.363,
      "returncode": 0,
      "elapsed_time_sec": 0.3693256378173828,
      "raw_output": null
    },
    {
      "workload": "loops-all-mid-10k-sp",
      "thread_num": 6,
      "iter_per_sec": 6.13497,
      "returncode": 0,
      "elapsed_time_sec": 8.154258012771606,
      "raw_output": null
    },
    {
      "workload": "nnet_test",
      "thread_num": 6,
      "iter_per_sec": 8.56164,
      "returncode": 0,
      "elapsed_time_sec": 1.1719541549682617,
      "raw_output": null
    },
    {
      "workload": "parser-125k",
      "thread_num": 6,
      "iter_per_sec": 32.7869,
      "returncode": 0,
      "elapsed_time_sec": 0.242201566696167,
      "raw_output": null
    },
    {
      "workload": "radix2-big-64k",
      "thread_num": 6,
      "iter_per_sec": 249.501,
      "returncode": 0,
      "elapsed_time_sec": 4.0301103591918945,
      "raw_output": null
    },
    {
      "workload": "sha-test",
      "thread_num": 6,
      "iter_per_sec": 526.316,
      "returncode": 0,
      "elapsed_time_sec": 0.029955625534057617,
      "raw_output": null
    },
    {
      "workload": "zip-test",
      "thread_num": 6,
      "iter_per_sec": 142.857,
      "returncode": 0,
      "elapsed_time_sec": 3.631044864654541,
      "raw_output": null
    },
    {
      "workload": "cjpeg-rose7-preset",
      "thread_num": 7,
      "iter_per_sec": 303.03,
      "returncode": 0,
      "elapsed_time_sec": 0.036682844161987305,
      "raw_output": null
    },
    {
      "workload": "core",
      "thread_num": 7,
      "iter_per_sec": 3.01984,
      "returncode": 0,
      "elapsed_time_sec": 2.3219473361968994,
      "raw_output": null
    },
    {
      "workload": "linear_alg-mid-100x100-sp",
      "thread_num": 7,
      "iter_per_sec": 150.602,
      "returncode": 0,
      "elapsed_time_sec": 0.33828091621398926,
      "raw_output": null
    },
    {
      "workload": "loops-all-mid-10k-sp",
      "thread_num": 7,
      "iter_per_sec": 6.49266,
      "returncode": 0,
      "elapsed_time_sec": 7.704557657241821,
      "raw_output": null
    },
    {
      "workload": "nnet_test",
      "thread_num": 7,
      "iter_per_sec": 8.30565,
      "returncode": 0,
      "elapsed_time_sec": 1.2081749439239502,
      "raw_output": null
    },
    {
      "workload": "parser-125k",
      "thread_num": 7,
      "iter_per_sec": 27.7778,
      "returncode": 0,
      "elapsed_time_sec": 0.31223487854003906,
      "raw_output": null
    },
    {
      "workload": "radix2-big-64k",
      "thread_num": 7,
      "iter_per_sec": 278.164,
      "returncode": 0,
      "elapsed_time_sec": 3.6184468269348145,
      "raw_output": null
    },
    {
      "workload": "sha-test",
      "thread_num": 7,
      "iter_per_sec": 500.0,
      "returncode": 0,
      "elapsed_time_sec": 0.030409574508666992,
      "raw_output": null
    },
    {
      "workload": "zip-test",
      "thread_num": 7,
      "iter_per_sec": 152.174,
      "returncode": 0,
      "elapsed_time_sec": 3.6435928344726562,
      "raw_output": null
    },
    {
      "workload": "cjpeg-rose7-preset",
      "thread_num": 8,
      "iter_per_sec": 370.37,
      "returncode": 0,
      "elapsed_time_sec": 0.031106233596801758,
      "raw_output": null
    },
    {
      "workload": "core",
      "thread_num": 8,
      "iter_per_sec": 2.83386,
      "returncode": 0,
      "elapsed_time_sec": 2.8255538940429688,
      "raw_output": null
    },
    {
      "workload": "linear_alg-mid-100x100-sp",
      "thread_num": 8,
      "iter_per_sec": 160.256,
      "returncode": 0,
      "elapsed_time_sec": 0.31850361824035645,
      "raw_output": null
    },
    {
      "workload": "loops-all-mid-10k-sp",
      "thread_num": 8,
      "iter_per_sec": 7.03037,
      "returncode": 0,
      "elapsed_time_sec": 7.116137981414795,
      "raw_output": null
    },
    {
      "workload": "nnet_test",
      "thread_num": 8,
      "iter_per_sec": 8.46024,
      "returncode": 0,
      "elapsed_time_sec": 1.1859660148620605,
      "raw_output": null
    },
    {
      "workload": "parser-125k",
      "thread_num": 8,
      "iter_per_sec": 27.8746,
      "returncode": 0,
      "elapsed_time_sec": 0.34679079055786133,
      "raw_output": null
    },
    {
      "workload": "radix2-big-64k",
      "thread_num": 8,
      "iter_per_sec": 277.469,
      "returncode": 0,
      "elapsed_time_sec": 3.6289494037628174,
      "raw_output": null
    },
    {
      "workload": "sha-test",
      "thread_num": 8,
      "iter_per_sec": 526.316,
      "returncode": 0,
      "elapsed_time_sec": 0.03002643585205078,
      "raw_output": null
    },
    {
      "workload": "zip-test",
      "thread_num": 8,
      "iter_per_sec": 145.455,
      "returncode": 0,
      "elapsed_time_sec": 3.640843152999878,
      "raw_output": null
    }
  ],
  "coremark_pro_score": 6507.155269914205
}